<!DOCTYPE html>
<html lang="ru" th:lang="${#locale.language}" xmlns:th="http://www.thymeleaf.org">
<head th:replace="fragments/head :: head">
    <title th:text="#{main.site}">Библиотека (Spring Boot)</title>
</head>
<body>
<header th:replace="fragments/header :: header"></header>

<main class="container">
    <h1 th:text="#{login.enter.credentials}">Введите свои логин и пароль</h1>
    <form th:action="@{/login}" method="post">
        <div class="mb-3">
            <label for="username" class="form-label" th:text="#{login.login}">Логин</label>
            <input type="text" class="form-control" id="username" name="username"
                   autofocus required maxlength="255">
        </div>
        <div class="mb-3">
            <label for="password" class="form-label" th:text="#{login.password}">Пароль</label>
            <input type="password" class="form-control" id="password" name="password"
                   required maxlength="255">
        </div>
        <p class="alert alert-danger" th:if="${loginError}"
           th:text="#{login.error}">Неверный логин или пароль. Попробуйте ещё раз.
        </p>
        <button type="submit" class="btn btn-primary" th:text="#{login.submit}">Войти
        </button>
    </form>
</main>

<footer th:replace="fragments/footer :: footer"></footer>
</body>
</html>
